org.eclnt.jsfserver.elements.impl

## Class SMARTTEXTAREABinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.SMARTTEXTAREABinding

- All Implemented Interfaces:
    java.io.Serializable, IDynamicContentBindingObject

      public class SMARTTEXTAREABinding
      extends java.lang.Object
      implements java.io.Serializable, IDynamicContentBindingObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SMARTTEXTAREABinding.TextFormatInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMARTTEXTAREABinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCaretPosition()`
    `java.util.List<SMARTTEXTAREABinding.TextFormatInfo>` | `getFormatInfos()`
    `int` | `getSelectionEnd()`
    `int` | `getSelectionStart()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextCSV()`
    `void` | `setCaretPosition(int caretPosition)`
    `void` | `setSelectionEnd(int selectionEnd)`
    `void` | `setSelectionStart(int selectionStart)`
    `void` | `setText(java.lang.String value)`
    `void` | `setTextCSV(java.lang.String csvText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMARTTEXTAREABinding

          public SMARTTEXTAREABinding()

  - ### Method Detail

    - #### setText

          public void setText(java.lang.String value)

    - #### getText

          public java.lang.String getText()

    - #### getCaretPosition

          public int getCaretPosition()

    - #### setCaretPosition

          public void setCaretPosition(int caretPosition)

    - #### getSelectionStart

          public int getSelectionStart()

    - #### setSelectionStart

          public void setSelectionStart(int selectionStart)

    - #### getSelectionEnd

          public int getSelectionEnd()

    - #### setSelectionEnd

          public void setSelectionEnd(int selectionEnd)

    - #### getFormatInfos

          public java.util.List<SMARTTEXTAREABinding.TextFormatInfo> getFormatInfos()

    - #### setTextCSV

          public void setTextCSV(java.lang.String csvText)

    - #### getTextCSV

          public java.lang.String getTextCSV()

Copyright © CaptainCasa Gmbh. All Rights Reserved.